<?php session_start();?>
<?php
include('../_cfg/config.php');
include('php_gene1.php'); 
include('php_session.php');
//include('excel_reader2.php');
//include('vrreadxls.php');
// include('simplexlsx.class.php');

// echo date('H:i:s',strtotime('now'));

$clave=alltrim($_POST['clave']);

$forma=$_POST['forma']; 
$desti=$_POST['desti'];
$exte=$_POST['exte'];

$maes=$_POST['maes'];

// $desti=$_POST['destino'];
// echo '***'.$desti;

if($desti==''){$desti='screen';}

// echo '***'.$desti;

// echo '*/*/*/*'.$exte;
// echo '*/*/*/*/*';
// echo 		ws_recep($clave);
// echo '*/*/*/*/*';
// echo 		ws_autor($clave);

// if($ext=='' or $ext=='undefined'){$ext='html';}

$ruc=substr($cfg_ruc,0,10); 
$xml='';
$result='';
$descarga='';

if(strlen($clave)==48){$clave.=val_mod11($clave);}

if(strlen($clave)==49)
{
	if(val_clac($clave))
	{
		$codDoc=substr($clave,8,2); 	
		//01 04 05
		$tabla='vtas';
		if($codDoc=='06'){$tabla='guia';}
		if($codDoc=='07'){$tabla='retp';}

		if($codDoc=='81'){$tabla='caja';}
		if($codDoc=='82'){$tabla='bcos';}
    
		if($codDoc=='91'){$tabla='clie';}
		if($codDoc=='92'){$tabla='clie';}
		if($codDoc=='95'){$tabla='prov';}
		
		if($codDoc=='99'){$tabla='rolp';}

    
		if(mb_stristr('01.04.05.06.07',$codDoc))
		{
			upl_cexml($clave);
			if(!mb_stristr($clave,$cfg_ruc) and !mb_stristr('demo',$cfg_empr))
			{ws_autor($clave);}
			
// 			if(mb_stristr($clave,$cfg_ruc) or $cfg_empr=='demo')
// 			{upl_cexml($clave);}
// 			else
// 			{upl_cexml($clave);ws_autor($clave);}
		}
// 		$xml=file_get_contents($rutace.$clave.'b.xml');
// 		$descarga='<a href="http://vcrxol.com/_cel/'.$clave.'b.xml" download="'.$clave.'.xml">Descargar XML</a>';
		{

			
		$sql_tabla='select * from tabla1 where claveacc="'.$clave.'" and status!="X"';

		if(mb_stristr('01.04.05',$codDoc))
		{
			
			$sql_docu=str_replace('tabla1','vtas1',$sql_tabla);
			$res_docu=mysql_query($sql_docu,$link_vcrx);
			if(mysql_num_rows($res_docu)==1)
			{
				$idnum=mysql_result($res_docu,0,'idnum1');
				$docu=mysql_result($res_docu,0,'docu');
				$numero=mysql_result($res_docu,0,'numero');
				$enti=mysql_result($res_docu,0,'enti');
			}

			$sql_docu=str_replace('tabla1','comp1',$sql_tabla);
			$res_docu=mysql_query($sql_docu,$link_vcrx);
			if(mysql_num_rows($res_docu)==1)
			{
				$idnum=mysql_result($res_docu,0,'idnum1');
				$docu=mysql_result($res_docu,0,'docu');
				$numero=mysql_result($res_docu,0,'numero');
				$enti=mysql_result($res_docu,0,'enti');
			}
		}
			
		if(mb_stristr('07',$codDoc))
		{
			$sql_docu=str_replace('tabla1','retc1',$sql_tabla);
			$res_docu=mysql_query($sql_docu,$link_vcrx);
			if(mysql_num_rows($res_docu)==1)
			{
				$idnum=mysql_result($res_docu,0,'idnum1');
				$docu=mysql_result($res_docu,0,'docu');
				$numero=mysql_result($res_docu,0,'numero');
				$enti=mysql_result($res_docu,0,'enti');
			}

			$sql_docu=str_replace('tabla1','retp1',$sql_tabla);
			$res_docu=mysql_query($sql_docu,$link_vcrx);
			if(mysql_num_rows($res_docu)==1)
			{
				$idnum=mysql_result($res_docu,0,'idnum1');
				$docu=mysql_result($res_docu,0,'docu');
				$numero=mysql_result($res_docu,0,'numero');
				$enti=mysql_result($res_docu,0,'enti');
			}
		}
			
		if(mb_stristr('06',$codDoc))
		{
			$sql_docu=str_replace('tabla1','guia1',$sql_tabla);
			$res_docu=mysql_query($sql_docu,$link_vcrx);
			if(mysql_num_rows($res_docu)==1)
			{
				$idnum=mysql_result($res_docu,0,'idnum1');
				$docu=mysql_result($res_docu,0,'docu');
				$numero=mysql_result($res_docu,0,'numero');
				$enti=mysql_result($res_docu,0,'enti');
			}
		}

		if(mb_stristr('91.92',$codDoc))
		{
			$sql_docu=str_replace('tabla1','clie1',$sql_tabla);
			$res_docu=mysql_query($sql_docu,$link_vcrx);
			if(mysql_num_rows($res_docu)==1)
			{
				$idnum=mysql_result($res_docu,0,'idnum1');
				$docu=mysql_result($res_docu,0,'docu');
				$numero=mysql_result($res_docu,0,'numero');
				$enti=mysql_result($res_docu,0,'enti');
			}
		}
			
		if(mb_stristr('95',$codDoc))
		{
			$sql_docu=str_replace('tabla1','prov1',$sql_tabla);
			$res_docu=mysql_query($sql_docu,$link_vcrx);
				echo mysql_error();
			if(mysql_num_rows($res_docu)==1)
			{
				$idnum=mysql_result($res_docu,0,'idnum1');
				$docu=mysql_result($res_docu,0,'docu');
				$numero=mysql_result($res_docu,0,'numero');
				$enti=mysql_result($res_docu,0,'enti');
			}
		}
			
		}
	}
	else
	{die('<br>Clave NO VALIDA');}
}
else
{
	$clave='';
	$idnum=$_POST['idnum'];
	$docu=$_POST['docu']; 
	$numero=fillzero($_POST['numero']);
	$enti=substr($_POST['enti'],0,10);
}

?>

<?php
if($clave=='' and $docu==''){die('Datos INCORRECTOS');}

// $result='123'.$idnum;
// $_SESSION['user_vcrx_id']
// if($user_codigo=='')
// if($user_codigo=='' and $clave=='')
// echo '*/*/*'.
// if($user_codigo=='' and $clave=='' and $_SESSION['user_vcrx_id']=='')
// {
// 	if(!mb_stristr($obstart,$numero)){die('Datos INCORRECTOS');}
// 	if(!mb_stristr($obstart,$enti)){die('Datos INCORRECTOS');}
// }

$subdce=mk_subdce($clave);
if(file_exists($rutace.$subdce.$clave.'b.xml'))
{
  $result ='<a href="http://vcrxol.com/_cel/';
  $result.=$subdce.$clave.'b.xml" download="'.substr($docu,0,1).'_'.substr($clave,10,13).'_'.substr($clave,24,6).'_'.substr($clave,30,9);
  $result.='">Descargar XML</a>';
}

if($idnum!='')
{
// 	$result=prnt_docu0($docu,$idnum,$forma,'mail');
	$result=prnt_docu0($docu,$idnum,$forma,$desti);
}


// html2pdf('')

ob_start();
echo $result;
$obstart = ob_get_clean(); 
if(!mb_stristr('pos.txt',$desti))
{$obstart = alltrim($obstart);}


// $_SESSION['user_vcrx_id']
// if($user_codigo=='')
// if($user_codigo=='' and $clave=='')
if($user_codigo=='' and $clave=='' and $_SESSION['user_vcrx_id']=='')
{
	if(!mb_stristr($obstart,$numero)){$obstart='Datos INCORRECTOS';}
	if(!mb_stristr($obstart,$enti)){$obstart='Datos INCORRECTOS';}
}

if(($user_tipo=='' or mb_stristr('invi.clie.prov.exte',$user_tipo))  and $clave=='')
{
	// debe coincidir la cedula del usuario con la entidad del docu
}

if($exte=='html')
{echo $obstart;}

if($exte=='pdf')
{
	
// 	$docuhtml='http://vcrxol.com/_cel/'.$clave.'.html';
	$docuhtml='http://'.$cfg_empr.'.vcrxol.com/_doc/'.$docu.'_'.fillzero($idnum).'.html';
// 	echo $docuhtml;
	$api_endpoint = "https://selectpdf.com/api2/convert/";
	$key='a08354d5-92b4-4a2b-a1a4-ab82c90a5c78';
// 	$parameters = array ('key' => $key, 'html' => $obstart, 'page_size' => 'A4');
	$parameters = array ('key' => $key, 'url' => $docuhtml, 'page_size' => 'A4');
	$result = file_get_contents("$api_endpoint?" . http_build_query($parameters));
	echo 'header("Content-Type: application/pdf");';
	echo 'header("Content-Disposition: attachment; filename=\"test.pdf\"");';
// 	echo 'PDF';
	echo $result;	
}
// echo $exte;
// echo date('H:i:s',strtotime('now'));

?>
	
	
				
				
				